3

I am trying to deploy a smart contract from Remix using the following settings:

compiler: 0.8.0
EVM version: compiler default
Environment: injected Web3 (metamask connected to hardwarewallet, main (1) network)
Gas limit: 8000000
value: 0

When I click deploy I get the following error:

Invalid transaction params: params specify an EIP-1559 transaction but the current network does not support EIP-1559

I can neither find any information on what causes this error nor how to solve it - any suggestions? Thanks!

Edit: This seems to be the reason (from the metamask webpage):

How does EIP-1559 work with Trezor/Ledger integration on MetaMask? Trezor and Ledger do not yet support EIP-1559 so MetaMask will fall back to pre EIP-1559 gas controls.

https://metamask.io/1559.html

If I change my account in Metamask to a wallet without ledger/trezor I don't get the error.

4
  • Thats super wierd, you're saying that you're deploying on mainnet (which definitely supports EIP-1559), and yet remix seems to be telling you the opposite. Care to share your code?
    – Foxxxey
    Aug 23, 2021 at 22:05
  • Indeed very weird. The error shows in remix before the transaction even gets to metamask. Maybe metamask is not updated yet?
    – Nik
    Aug 24, 2021 at 5:47
  • they state on the metamask webpage that ledger doesn't support EIP-1559 maybe that's the reason?
    – Nik
    Aug 24, 2021 at 5:51
  • 1
    Oh, thats definitely it yes. Not much you can do then
    – Foxxxey
    Aug 24, 2021 at 7:40

1 Answer 1

0

Try setting your EVM version to London.

2
  • I don't have London as an option in Remix on Firefox
    – Nik
    Aug 24, 2021 at 5:45
  • you get to select the EVM version during compilation on the Solidity Compiler section of Remix Sep 3, 2021 at 3:42

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.